Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf
Interface IFlexViewComponentUI

All Superinterfaces:
  XMLConstants

All Known Implementing Classes:
  ButtonUI, FlexViewComponentUI, MetalTitlebarUI, SkinLFTitlebarUI, TitlebarUI, ViewUI

    public interface IFlexViewComponentUI

extends XMLConstants

Author:
  Christopher Butler

Field Summary
`static String` | `ICON_RESOURCE`

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Method Summary
`PropertySet` | `getCreationParameters()`
`void` | `initializeCreationParameters()`
`void` | `setCreationParameters(PropertySet creationParameters)`

Field Detail

### ICON_RESOURCE

    static final String ICON_RESOURCE

See Also:
  Constant Field Values

Method Detail

### getCreationParameters

    PropertySet getCreationParameters()

### setCreationParameters

    void setCreationParameters(PropertySet creationParameters)

### initializeCreationParameters

    void initializeCreationParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD